%global __jar_repack 0

Name:			redhat-support-plugin-rhev
Version:		4.1.0
Release:		1%{?release_suffix}%{?dist}
Summary:		Plugin for Red Hat Enterprise Virtualization

Group:			Development/Libraries
License:		ASL 2.0
URL:			http://www.ovirt.org
BuildArch:		noarch
Source0: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-4.1.0.pom
Source1: http://people.redhat.com/sshumake/projects/redhat-support-plugin-rhev/redhat-support-plugin-rhev-4.1.0-scm-sources.zip

Requires: rhevm >= 4.1.0
Requires: usermode

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The Red Hat Support Plugin is a support
plugin for Red Hat Enterprise Virtualizaton

%prep
# We build RHEV-M in the MEAD environment, and that means that the
# sources are archived with root based on repository name

%setup -q -T -b 1 -n redhat-support-plugin-rhev

%build

%install
rm -rf %{buildroot}

# ovirt-engine owns the following folders, but we need them for later steps
install -d %{buildroot}/usr/share/ovirt-engine/
install -d %{buildroot}/usr/share/ovirt-engine/dbscripts/
install -d %{buildroot}/usr/share/ovirt-engine/ui-plugins/
# Install GSS DB wrapper script
install -m 755 packaging/bin/engine-psql.sh %{buildroot}/usr/share/ovirt-engine/dbscripts/

# Copy these two files that are required for the plugin
cp -r ui-plugins/* %{buildroot}/usr/share/ovirt-engine/ui-plugins/

%files
%defattr(-,ovirt,ovirt,-)
%dir /usr/share/ovirt-engine/ui-plugins/redhat_support_plugin_rhev
/usr/share/ovirt-engine/ui-plugins/redhat_support_plugin_rhev/start.html
/usr/share/ovirt-engine/ui-plugins/redhat_support_plugin_rhev.json
/usr/share/ovirt-engine/dbscripts/engine-psql.sh
%doc LICENSE

%posttrans
# If this is an upgrade, make sure application.xml modifications are removed.
if [ -f /usr/share/ovirt-engine/engine.ear/META-INF/application.xml ]; then
    if grep -q 'START Red Hat Support Plug-in DO NOT REMOVE THIS COMMENT' /usr/share/ovirt-engine/engine.ear/META-INF/application.xml; then
    	sed  -i '/<!-- START Red Hat Support Plug-in DO NOT REMOVE THIS COMMENT -->/,/<!-- END Red Hat Support Plug-in DO NOT REMOVE THIS COMMENT -->/d' /usr/share/ovirt-engine/engine.ear/META-INF/application.xml
	fi
fi

%changelog
* Fri Jun 10 2016 Alexander Wels <awels@redhat.com> 3.6.0-16
- Resolves: rhbz#1344586

* Tue Jan 19 2016 Alexander Wels <awels@redhat.com> 3.6.0-3
- Removed war and ear

* Mon Jul 20 2015 Josh Kinlaw <jkinlaw@redhat.com> - 3.6.0-2
- Resolves: rhbz#1201940
- Resolves: rhbz#1173074

* Tue Mar 11 2014 Spenser Shumaker <sshumake@redhat.com> - 3.5.0-0
- Resolves: rhbz#1071450
